%define MAJver %(echo %version | cut -d. -f1)
Name:          libdvdread4
Version:       6.0.1
Release:       2mamba
Summary:       A library for reading DVD video disks
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.mplayerhq.hu
Source:        https://get.videolan.org/libdvdread/%{version}/libdvdread-%{version}.tar.bz2
Patch0:        libdvdnav-4.1.2-config.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libdvdread provides a simple foundation for reading DVD video disks. 
It provides the functionality that is required to access many DVDs. 
It parses IFO files, reads NAV-blocks, and performs CSS authentication and descrambling.

%package devel
Summary:       Development files from the libdvdread library
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.
It parses IFO files, reads NAV-blocks, and performs CSS authentication and descrambling.
You will need to install these development files if you intend to rebuild programs that use this library.

%debug_package

%prep
%setup -q -n libdvdread-%{version}
#%patch0 -p1
autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libdvdread.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
#%{_bindir}/dvdread-config
%dir %{_includedir}/dvdread/
%{_includedir}/dvdread/*
%{_libdir}/libdvdread.a
%{_libdir}/libdvdread.la
%{_libdir}/libdvdread.so
%{_libdir}/pkgconfig/dvdread.pc
%dir %{_docdir}/libdvdread
%{_docdir}/libdvdread/*
#%{_datadir}/aclocal/dvdread.m4
#% doc ChangeLog NEWS README TODO

%changelog
* Thu Nov 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.1-2mamba
- legacy package

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- update to 6.0.0

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-1mamba
- update to 5.0.4

* Wed Nov 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.3-1mamba
- update to 5.0.3

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.1-1mamba
- update to 5.0.1

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 4.9.9-1mamba
- automatic version update by autodist

* Sat Dec 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.3-1mamba
- update to 4.1.3 (splitted libdvdnap into libdvdnav and libdvdread)

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-1mamba
- update to 4.1.2
- move to mplayer release which also provides libdvdread

* Thu Oct 11 2007 Aleph0 <aleph0@openmamba.org> 0.1.10-3mamba
- specfile updated

* Fri Oct 01 2004 Davide Madrisan <davide.madrisan@qiinux.it> 0.1.10-2qilnx
- specfile fixed and modified to match QiLinux standards

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.1.10-1qilnx
- first buildaggiornamento del pacchetto libdvdnav alla versione [?]...

